-- Network: Client Module

print("Loading client module...")

function initclient(serv, port)
	if serv == nil then
		serv = "localhost"
	end
	if port == nil then
		port = 22122
	end
  port = tonumber(port)
	client = sock.newClient(serv, port)
	client:on("connect", function(data)
		print("Client successfully connected to server")
		client:emit("handshake", {ind = client:getIndex(), cid = client:getConnectId(), username = suitin[1].text})
	end)
  client:on("num", function(data)
    print("I am Player "..data)
    playernum = data
  end)
	client:on("assign role", function(data)
		print("I am a "..data)
	end)
  client:on("plupdate", function(data)
    print("Received updated playerlist")
    game.players = Tserial.unpack(data)
  end)
  client:on("mode update", function(data)
    print("Game mode set to "..data)
    game.mode = data
  end)
  client:on("phase", function(data)
    print("Phase is now "..data)
    game.phase = data
  end)
	client:connect()
end

print("Client module loaded")