-- Network: Server Module

print("Loading server module...")

function initserver(serv, port)
	if server ~= nil then return end
	if serv == nil then
		serv = "*"
	end
	if port == nil then
		port = 22122
	end
	server = sock.newServer(serv, port)
	server:on("connect", function(data, client)
		print("Client attempting connection...")
	end)
	server:on("handshake", function(data, client)
		print("Client "..client:getIndex().." ID: "..data.cid)
		game.nump = game.nump + 1
    data.ind = game.nump
		game.clients[game.nump] = data
    client:emit("num", client:getIndex())
	end)
  server:on("disconnect", function(data, client)
    print("=========================> Client "..client:getIndex().." has disconnected!")
    print(data)
  end)
	server:on("vote", function(data, client)
		print("Client "..client:getIndex().." votes against "..data)
		game.players[client:getIndex()].vote(data)
	end)
	
	print("Server started")
end

print("Server module loaded")