-- Player module

print("Loading player module...")

player = { }

function player.new()
  
	local p = {
		num = #game.players + 1,
		role = "",
		align = "",
		dead = false,
		hasbeendead = false,
		voted = false,
    vfor = 0,
    visits = { },
	}
  
	local j = math.random(1, #game.rolelist)
	p.role = game.rolelist[j]
	table.remove(game.rolelist, j)
	player.assessalign(p)
	
	function p.vote(target)
		if p.dead == true then
			return
		end
		if game.players[target] ~= nil and game.players[target].dead == true then
			tell("Player "..target.." is dead and can not be voted against")
			return
		end
    p.voted = true
    p.vfor = target
	end
	
	function p.die(pool)
		if pool == nil then
			print("Player "..p.num.." was lynched!")
		else
			print("Player "..p.num.." was attacked by the "..pool.." pool!")
		end
		p.dead = true
	end
  
  -- Assess role and assign flags as necessary
  if game.mode == "teset" then
    
    if p.role == "Godfather" then
      
    end
    
  end
	
	return p
end

function player.assessalign(p)
  
	if p.role == "Mafioso" then
		p.align = "Mafia"
    
  elseif p.role == "Godfather" then
    p.align = "Mafia"
    
	else
		p.align = "Innocent"
    
	end
  
end

function player.kmaf(t)
  
  if game.mode == "teset" then
    
    for i, p in pairs(game.players) do
      if p.role == "Mafioso" and not p.dead then
        return i
      end
    end
    
    for i, p in pairs(game.players) do
      if p.role == "Godfather" and not p.dead then
        return i
      end
    end
  
  elseif game.mode == "davidoff" or game.mode == "plotkin" then
    
    local mafpool = { }
    for i, p in pairs(game.players) do
      if p.role == "Mafioso" and p.vfor == t and not p.dead then
        table.insert(mafpool, i)
      end
    end
    
    return mafpool[math.random(1, #mafpool)]
  
  end
  
end

print("Player module loaded")